package com.focasoftware.deboinventariov20.Model

import retrofit2.Call
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.POST

interface WebServiceApi {

    @GET("articulos/articulosCodBarra")
    fun getProductos():Call<List<Productos?>?>?

    @GET("articulos/time")
    fun getTime():Call<List<Time?>?>?

    @POST("api/insertar-itominvc")
    fun insertarItominvc(@Body itomInvC: ItomInvC): Call<DefaultResponse>

    @POST("api/insertar-itominvd")
    fun insertarItominvd(@Body itominvd: ItomInvD): Call<Void?>




//    @POST("api/insertar-inventario")
//    fun inventarioToSend(@Body invToSend: InvToSend): Call<Void?>

    @GET("api/get-cabecera-inventario")
    fun getHeadInvSec():Call<List<InvHeadSecR?>?>?

    @POST("api/get-detalle-inventario")
    fun getBodyInvSec(@Body inv_num: NumInvSec?): Call<List<InvBodySecR?>?>?

    @POST("api/update-cabecera-inventario")
    fun inventarioSecToSendHead(@Body invSecHeadToSend: InvSecHeadToSend): Call<Void?>

    @POST("api/update-detalle-inventario")
    fun inventarioSecToSendBody(@Body invSecBodyToSend: InvSecBodyToSend): Call<Void?>

}