package com.focasoftware.deboinventariov20.UI

import android.app.Activity
import android.content.Context
import android.content.Intent
import android.content.SharedPreferences
import android.os.Bundle
import com.focasoftware.deboinventariov20.R

private lateinit var sharedPreferences: SharedPreferences

class SplashActivity : Activity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_splash)

        sharedPreferences = baseContext.getSharedPreferences("SP_INFO", Context.MODE_PRIVATE)
        val editor = sharedPreferences.edit()
        editor?.putString("inicio", "inicio")
        editor?.apply()
        editor.commit()
        val bac = object : Thread() {
            override fun run() {
                try {
                    val intent = Intent(baseContext, MainActivity::class.java)
                    startActivity(intent)
                    finish()
                } catch (e: Exception) {
                    e.printStackTrace()
                }
            }
        }
        bac.start()

    }
}
