package com.focasoftware.deboinventariov20.UI.descripCorigenFragment

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.focasoftware.deboinventariov20.Model.Articles
import com.focasoftware.deboinventariov20.R
import kotlinx.android.synthetic.main.item.view.tvDescripcion
import kotlinx.android.synthetic.main.item_codigo_origen.view.*

class CodigoOrigenAdapter(private val cnxt: Context, private val corigen: List<Articles>) :
    RecyclerView.Adapter<CodigoOrigenAdapter.ItemsViewHolder>() {
    internal var items2: List<Articles>? = null

    init {
        this.items2 = corigen
    }

    override fun onCreateViewHolder(parent: ViewGroup, p1: Int) = ItemsViewHolder(
        LayoutInflater.from(cnxt).inflate(R.layout.item_codigo_origen, parent, false))

    override fun getItemCount() = corigen.size

    override fun onBindViewHolder(holder: ItemsViewHolder, position: Int) {
        when (holder) {
            is ItemsViewHolder -> {
                holder.bind(items2!![position])
            }
        }
    }

    class ItemsViewHolder constructor(view: View) : RecyclerView.ViewHolder(view) {

        val sector = view.tvSector
        val codigo = view.tvCodigo
        val descripcion = view.tvDescripcion
        val CodigoOrigen = view.tvCodigoOrigen

        fun bind(pro: Articles) {
            sector.text = pro.sector
            codigo.text = pro.codigo
            descripcion.text = pro.descripcion
            CodigoOrigen.text = pro.codOrigen
        }
    }
}