package com.focasoftware.deboinventariov20.UI.servidores

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.focasoftware.deboinventariov20.R
import kotlinx.android.synthetic.main.item_servidores.view.*

class AdapterServidores(private val servidor: ArrayList<ItemsServidores>, private var contexto: Context) :
    RecyclerView.Adapter<AdapterServidores.ViewHolder>() {
    private var removePosition: Int = 0
    private var removedItem: ItemsServidores? = null

    class ViewHolder(var vista: View) : RecyclerView.ViewHolder(vista) {
        fun bind(itemsServidores: ItemsServidores) {
            vista.tvDescServidor.text = itemsServidores.descripcion
            vista.tvDireccionServidor.text = itemsServidores.direccion
            vista.tvPuertoBajada.text = itemsServidores.puertoBajada
            vista.tvPuertoSubida.text = itemsServidores.puertoSubida
        }
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ViewHolder {
        return ViewHolder(
            LayoutInflater.from(parent.context).inflate(R.layout.item_servidores, parent, false)
        )
    }

    override fun getItemCount(): Int {
        return servidor.size
    }

    override fun onBindViewHolder(holder: ViewHolder, position: Int) {
        holder.bind(servidor[position])
    }
    fun removeItem(viewHolder: RecyclerView.ViewHolder) {
        removePosition = viewHolder.adapterPosition
        removedItem = servidor[viewHolder.adapterPosition]

        servidor.removeAt(viewHolder.adapterPosition)
        notifyItemRemoved(viewHolder.adapterPosition)
    }
}