package com.focasoftware.deboinventariov20.Model


import okhttp3.OkHttpClient
import okhttp3.logging.HttpLoggingInterceptor
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory
import java.util.concurrent.TimeUnit

var BASE_URL: String = ""

class WebService private constructor() {

    private val retrofit: Retrofit
    private val loggingInterceptor: HttpLoggingInterceptor = HttpLoggingInterceptor().setLevel(HttpLoggingInterceptor.Level.BODY)
    private val httpClientBuilder: OkHttpClient.Builder

//        private val interceptor = run {
//            val httpLoggingInterceptor = HttpLoggingInterceptor()
//            httpLoggingInterceptor.apply {
//                httpLoggingInterceptor.level = HttpLoggingInterceptor.Level.BODY
//            }
//        }
//        private val TIME_OUT: Long
//            get() {
//                return 200
//            }
//        private val okHttpClient = OkHttpClient.Builder()
//            .addNetworkInterceptor(interceptor)
//            .connectTimeout(TIME_OUT, TimeUnit.SECONDS)
//            .writeTimeout(TIME_OUT, TimeUnit.SECONDS)
//            .readTimeout(TIME_OUT, TimeUnit.SECONDS)
//            .build()

    fun createService(): WebServiceApi {
        return retrofit.create(WebServiceApi::class.java)
    }

    fun <S> createService(serviceClass: Class<S>): S {
        return retrofit.create(serviceClass)
    }

    companion object {


        @get:Synchronized
        var instance: WebService? = null
            get() {
                if (field == null) {
                    field = WebService()
                }
                return field
            }
            private set
    }

    init {
        httpClientBuilder = OkHttpClient.Builder().addInterceptor(loggingInterceptor)
        retrofit = Retrofit.Builder()
           .baseUrl(BASE_URL)
//            .client(okHttpClient)
            .client(httpClientBuilder.build())
            .addConverterFactory(GsonConverterFactory.create())
            .build()
    }
}
//object WebService2 {
//    private var instance: WebService? = null
//    private val TIME_OUT: Long
//        get() {
//            return 15
//        }
//    private val interceptor = run {
//        val httpLoggingInterceptor = HttpLoggingInterceptor()
//        httpLoggingInterceptor.apply {
//            httpLoggingInterceptor.level = HttpLoggingInterceptor.Level.BODY
//        }
//    }
//    private val okHttpClient = OkHttpClient.Builder()
//        .addNetworkInterceptor(interceptor)
//        .connectTimeout(TIME_OUT, TimeUnit.SECONDS)
//        .writeTimeout(TIME_OUT, TimeUnit.SECONDS)
//        .readTimeout(TIME_OUT, TimeUnit.SECONDS)
//        .build()
//
//    fun getProductosService(): WebServiceApi {
//        return Retrofit.Builder()
//            .client(okHttpClient)
//            .baseUrl(BASE_URL)
//            .addConverterFactory(GsonConverterFactory.create())
//            .build()
//            .create(insertarItominvc::class.java)
//    }
//}
//    private fun WebService() {
//        retrofit = Retrofit.Builder()
//                .client(okHttpClient)
//                .baseUrl(BASE_URL)
//                .addConverterFactory(GsonConverterFactory.create())
//                .build()
//        }
//
//    @Synchronized
//        fun getInstance(): WebService? {
//            if (instance == null) {
//                instance = WebService
//            }
//            return instance
//        }
//    fun <S> createService(serviceClass: Class<S>): S {
//        return retrofit!!.create(serviceClass)
//    }

//    fun getProductosService(): EndPoints {
//        return Retrofit.Builder()
//            .client(okHttpClient)
//            .baseUrl(BASE_URL)
//            .addConverterFactory(GsonConverterFactory.create())
//            .build()
//            .create(EndPoints::class.java)
//    }


