package com.focasoftware.deboinventariov20.UI.descripcionFragment

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.focasoftware.deboinventariov20.Model.Articles
import com.focasoftware.deboinventariov20.R
import kotlinx.android.synthetic.main.item.view.*
import kotlinx.android.synthetic.main.item.view.tvDescripcion
import kotlinx.android.synthetic.main.item_descripcion.view.*

class DescripcionListAdapter(private val productos: List<Articles>?) :
    RecyclerView.Adapter<DescripcionListAdapter.ItemsViewHolder>() {
    internal var items2: List<Articles>? = null

    init {
        this.items2 = productos
    }

    override fun onCreateViewHolder(parent: ViewGroup, p1: Int) = ItemsViewHolder(
            LayoutInflater.from(parent.context).inflate(R.layout.item_descripcion, parent, false))

    override fun getItemCount() = productos!!.size

    override fun onBindViewHolder(holder: ItemsViewHolder, position: Int) {
        when (holder) {
            is ItemsViewHolder -> {
                holder.bind(items2!![position])
            }
        }
    }

    class ItemsViewHolder constructor(view: View) : RecyclerView.ViewHolder(view) {

        val sector = view.tvSector
        val codigo = view.tvCodigo
        val descripcion = view.tvDescripcion
        val codigoBarras = view.tvCodigoBarras

        fun bind(pro: Articles) {
            sector.text = pro.sector
            codigo.text = pro.codigo
            descripcion.text = pro.descripcion
            codigoBarras.text = pro.codBar
        }
    }
}